petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFactorSetAllowDiagonalFill

Causes all diagonal matrix entries to be treated as level 0 fill even if there is no non-zero location.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetAllowDiagonalFill(PC pc,PetscBool flg)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flg | - PETSC_TRUE to turn on, PETSC_FALSE to turn off

### Options Database Key

-pc_factor_diagonal_fill - Notes: Does not apply with 0 fill.

### See Also

PCFactorGetAllowDiagonalFill()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorSetAllowDiagonalFill_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages